# Class PlurlImpl.URLStreamHandlerFactoryHolder

java.lang.Object
org.eclipse.equinox.plurl.impl.PlurlImpl.PlurlFactoryHolder<URLStreamHandlerFactory, PlurlStreamHandler>
org.eclipse.equinox.plurl.impl.PlurlImpl.URLStreamHandlerFactoryHolder

All Implemented Interfaces:
  `PlurlFactory`

Enclosing class:
  `PlurlImpl`

public class PlurlImpl.URLStreamHandlerFactoryHolder extends PlurlImpl.PlurlFactoryHolder<URLStreamHandlerFactory, PlurlStreamHandler>

## Constructor Summary

Constructors
Constructor
Description
`URLStreamHandlerFactoryHolder(URLStreamHandlerFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`protected PlurlStreamHandler`
`createHandler(String protocol, URLStreamHandlerFactory f)`
`protected void`
`remove(URLStreamHandlerFactory f)`

### Methods inherited from class PlurlImpl.PlurlFactoryHolder

`shouldHandle, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### URLStreamHandlerFactoryHolder

public URLStreamHandlerFactoryHolder(URLStreamHandlerFactory factory)

## Method Details

### createHandler

protected PlurlStreamHandler createHandler(String protocol, URLStreamHandlerFactory f)

Specified by:
  `createHandler` in class `PlurlImpl.PlurlFactoryHolder<URLStreamHandlerFactory, PlurlStreamHandler>`

### remove

protected void remove(URLStreamHandlerFactory f)

Specified by:
  `remove` in class `PlurlImpl.PlurlFactoryHolder<URLStreamHandlerFactory, PlurlStreamHandler>`